summaryrefslogtreecommitdiffstats
path: root/games/jag/jag.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/jag/jag.SlackBuild')
-rw-r--r--games/jag/jag.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/games/jag/jag.SlackBuild b/games/jag/jag.SlackBuild
index d16db2b4e7..61ad3b19a0 100644
--- a/games/jag/jag.SlackBuild
+++ b/games/jag/jag.SlackBuild
@@ -70,12 +70,8 @@ if [ "${JAG_EDITOR:-no}" == "yes" ]; then
cd ..
fi
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/share/{applications,pixmaps}
install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications